"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestSuiteBuilder = void 0;
const scenario_1 = require("./scenario");
/**
 * The builder helps the creation of {@link TestSuite}.

 */
class TestSuiteBuilder {
    constructor(_name, _scenarios = []) {
        this._name = _name;
        this._scenarios = _scenarios;
    }
    /**
     * Get a new builder.
     * @param name the name of the suite
     */
    static get(name) {
        return new TestSuiteBuilder(name);
    }
    /**
     * Add a scenario.
     * @param scenario the scenario
     */
    scenario(scenario) {
        if (scenario instanceof scenario_1.TestScenarioBuilder) {
            this._scenarios.push(scenario.build());
        }
        else {
            this._scenarios.push(scenario);
        }
        return this;
    }
    /**
     * Build the suite and return it.
     */
    build() {
        return {
            name: this._name,
            scenarios: this._scenarios,
        };
    }
}
exports.TestSuiteBuilder = TestSuiteBuilder;
//# sourceMappingURL=suite.js.map