import { TestScenario, TestScenarioBuilder } from "./scenario";
/**
 * A suite is a set of {@link TestScenario}.
 */
export interface TestSuite {
    /**
     * The name of the suite.
     */
    readonly name: string;
    /**
     * The set of scenarios.
     */
    readonly scenarios: Array<TestScenario>;
}
/**
 * The builder helps the creation of {@link TestSuite}.

 */
export declare class TestSuiteBuilder {
    private readonly _name;
    private readonly _scenarios;
    private constructor();
    /**
     * Get a new builder.
     * @param name the name of the suite
     */
    static get(name: string): TestSuiteBuilder;
    /**
     * Add a scenario.
     * @param scenario the scenario
     */
    scenario(scenario: TestScenario | TestScenarioBuilder): this;
    /**
     * Build the suite and return it.
     */
    build(): TestSuite;
}
